%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-ejb-client
Version:       2.1.4
Release:       %mkrel 1
Group:         Development/Java
Summary:       JBoss EJB client
# https://issues.jboss.org/browse/EJBCLIENT-160
License:       LGPLv2+
URL:           http://www.jboss.org/
Source0:       https://github.com/jbossas/jboss-ejb-client/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

Patch0:        jboss-ejb-client-2.1.4-remove-ambiguous-reference-to-debugf.patch

BuildRequires: maven-local
BuildRequires: mvn(java_cup:java_cup)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.byteman:byteman)
BuildRequires: mvn(org.jboss.byteman:byteman-bmunit)
BuildRequires: mvn(org.jboss.byteman:byteman-install)
BuildRequires: mvn(org.jboss.byteman:byteman-submit)
BuildRequires: mvn(org.jboss.logging:jboss-logging) >= 3.1.4.GA
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor:1)
BuildRequires: mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling-river)
BuildRequires: mvn(org.jboss.remoting:jboss-remoting)
BuildRequires: mvn(org.jboss.sasl:jboss-sasl)
BuildRequires: mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec)
BuildRequires: mvn(org.jboss.xnio:xnio-api)
BuildRequires: mvn(org.jboss.xnio:xnio-nio)

BuildArch:     noarch

%description
Client library for EJB applications working against Wildfly.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%pom_xpath_set pom:properties/pom:version.org.jboss.logging.jboss-logging-processor 1

# Dont work properly
%pom_remove_plugin :maven-checkstyle-plugin

%build

# NoClassDefFoundError: Could not initialize class org.jboss.remoting3.remote.RemoteLogger
%mvn_build -f

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc



%changelog
* Sun May 21 2017 neoclust <neoclust> 2.1.4-1.mga6
+ Revision: 1103960
- New version
- Second rebuild of the java stack

* Sat Feb 27 2016 daviddavid <daviddavid> 2.0.1-2.mga6
+ Revision: 979936
- First rebuild of the java stack
- sync package jboss-ejb-client with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Dec 31 2014 daviddavid <daviddavid> 2.0.1-1.mga5
+ Revision: 807643
- Sync with fc21 (update to 2.0.1.Final)
- fix Group

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Tue Jan 07 2014 dmorgan <dmorgan> 2.0.0-0.3.Beta3.3.mga4
+ Revision: 565299
- Rebuild against fixed maven-eclipse-plugin

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.3.Beta3.2.mga4
+ Revision: 541912
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 2.0.0-0.3.Beta3.1.mga4
+ Revision: 496507
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 354949
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 gil <gil> 1.0.2-1.mga3
+ Revision: 263080
- imported package jboss-ejb-client

